App\Library\Amazon\Classes\RamMemory:
    xml_root_name: RamMemory
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        casLatency:
            expose: true
            access_type: public_method
            serialized_name: CasLatency
            accessor:
                getter: getCasLatency
                setter: setCasLatency
            type: App\Library\Amazon\Classes\CasLatency
        computerMemoryFormFactor:
            expose: true
            access_type: public_method
            serialized_name: ComputerMemoryFormFactor
            accessor:
                getter: getComputerMemoryFormFactor
                setter: setComputerMemoryFormFactor
            type: App\Library\Amazon\Classes\ComputerMemoryFormFactor
        computerMemoryTechnology:
            expose: true
            access_type: public_method
            serialized_name: ComputerMemoryTechnology
            accessor:
                getter: getComputerMemoryTechnology
                setter: setComputerMemoryTechnology
            type: App\Library\Amazon\Classes\ComputerMemoryTechnology
        maxMemorySpeed:
            expose: true
            access_type: public_method
            serialized_name: MaxMemorySpeed
            accessor:
                getter: getMaxMemorySpeed
                setter: setMaxMemorySpeed
            type: App\Library\Amazon\Classes\MaxMemorySpeed
        memoryCapacityPerSTICK:
            expose: true
            access_type: public_method
            serialized_name: MemoryCapacityPerSTICK
            accessor:
                getter: getMemoryCapacityPerSTICK
                setter: setMemoryCapacityPerSTICK
            type: App\Library\Amazon\Classes\MemoryCapacityPerSTICK
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        multiChannelKit:
            expose: true
            access_type: public_method
            serialized_name: MultiChannelKit
            accessor:
                getter: getMultiChannelKit
                setter: setMultiChannelKit
            type: App\Library\Amazon\Classes\MultiChannelKit
        numberOfMemorySticks:
            expose: true
            access_type: public_method
            serialized_name: NumberOfMemorySticks
            accessor:
                getter: getNumberOfMemorySticks
                setter: setNumberOfMemorySticks
            type: App\Library\Amazon\Classes\NumberOfMemorySticks
        rAMClockSpeed:
            expose: true
            access_type: public_method
            serialized_name: RAMClockSpeed
            accessor:
                getter: getRAMClockSpeed
                setter: setRAMClockSpeed
            type: App\Library\Amazon\Classes\RAMClockSpeed
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        voltageRating:
            expose: true
            access_type: public_method
            serialized_name: VoltageRating
            accessor:
                getter: getVoltageRating
                setter: setVoltageRating
            type: App\Library\Amazon\Classes\VoltageRating
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
